#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <fcntl.h>
#ifndef WINDOWS
#include <pthread.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <signal.h>
#include <netdb.h>
#endif
#include <errno.h>
#include <time.h>
#include <ctype.h>
#ifdef WINDOWS
#include <windows.h>
#endif

#include "globals.h"
#include "functions.h"
#include "language.h"

void update_list(int ID, int add)
{
char tempString[128];
int r;

  if (add==1)
  { sprintf(tempString,"+[%d]%s\r\n",ID,users[ID]->username); }
    else
  { sprintf(tempString,"-[%d]%s\r\n",ID,users[ID]->username); }

  for (r=0; r<maxconn; r++)
  {
#ifdef USER_LIST_CHAN
    if (users[r]->inuse==1 && (UFLAG_ISSET(r, USER_USERLIST)  && 
        users[r]->channel==users[ID]->channel))
#else
    if (users[r]->inuse==1 && UFLAG_ISSET(r, USER_USERLIST))
#endif
    { message(r,tempString,0); }
  }
}

int checkname_dup(char *name, int ID)
{
int t;

  for (t=0; t<maxconn; t++)
  {
    if (t==ID) continue;
    if (users[t]->inuse!=0)
    {
      if (strncasecmp(users[t]->username,name,MAX_USER_NAME_LENGTH)==0)
      { return t; }
    }
  }

  return -1;
}

